Bug 1299031 - [ansible-2.1] atomic-openshift-installer install traceback in get_installed_hosts
[ansible-2.1] atomic-openshift-installer install traceback in get_installed_h...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Munilla
Anping Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 13:09 EST by Eric Paris
Modified: 2016-09-06 14:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-06 14:14:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ansible logs (4.63 KB, application/x-gzip)
2016-06-22 01:18 EDT, Anping Li
no flags Details

  None (edit)
Description Eric Paris 2016-01-15 13:09:10 EST
atomic-openshift-installer install
install OSE 3.1

ansible-2.0.0.1-1.fc23.noarch
atomic-openshift-utils-3.0.32-1.git.0.d98926d.el7aos.noarch
openshift-ansible-3.0.32-1.git.0.d98926d.el7aos.noarch
openshift-ansible-filter-plugins-3.0.32-1.git.0.d98926d.el7aos.noarch
openshift-ansible-lookup-plugins-3.0.32-1.git.0.d98926d.el7aos.noarch
openshift-ansible-playbooks-3.0.32-1.git.0.d98926d.el7aos.noarch
openshift-ansible-roles-3.0.32-1.git.0.d98926d.el7aos.noarch
python-2.7.10-8.fc23.x86_64

*** Installation Summary ***

Hosts:
- 192.168.122.195
  - OpenShift Master
  - OpenShift Node (Unscheduled)
  - Etcd (Embedded)
- 192.168.122.101
  - OpenShift Node (Dedicated)
- 192.168.122.199
  - OpenShift Node (Dedicated)

Total OpenShift Masters: 1
Total OpenShift Nodes: 3

NOTE: Add a total of 3 or more Masters to perform an HA installation.

Gathering information from hosts...
Traceback (most recent call last):
  File "/usr/bin/atomic-openshift-installer", line 9, in <module>
    load_entry_point('ooinstall==3.0.0', 'console_scripts', 'oo-install')()
  File "/usr/lib/python2.7/site-packages/click/core.py", line 700, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 680, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 1027, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/lib/python2.7/site-packages/click/core.py", line 873, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 508, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/click/decorators.py", line 16, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/ooinstall/cli_installer.py", line 767, in install
    oo_cfg, callback_facts, ctx.obj['unattended'], force, verbose)
  File "/usr/lib/python2.7/site-packages/ooinstall/cli_installer.py", line 532, in get_hosts_to_run_on
    installed_hosts = get_installed_hosts(oo_cfg.hosts, callback_facts)
  File "/usr/lib/python2.7/site-packages/ooinstall/cli_installer.py", line 517, in get_installed_hosts
    if(host.connect_to in callback_facts.keys()
AttributeError: 'NoneType' object has no attribute 'keys'
Comment 1 Brenton Leanhardt 2016-06-01 09:57:15 EDT
Wow, we didn't do a very good job tracking this bug.  This was fixed long ago as far as I know.  One obvious problem is that atomic-openshift-installer is not yet compatibly with Ansible 2.0.  That might have been the original problem.  In any case I'll put this ON_QA and ask that QE verify the bug with Ansible 1.9.1 and OSE 3.2.
Comment 6 Anping Li 2016-06-20 04:42:11 EDT
I got same error. I am using the atomic-openshift-installer from atomic-openshift-utils-3.2.4-1. Is that the correct package  or this testing?




atomic-openshift-installer -a /root/openshift-ansible install 

Gathering information from hosts...
 [WARNING]: Failure using method (v2_runner_on_ok) in callback plugin (</usr/lib/python2.7/site-packages/ooinstall/ansible_plugins/facts_callback.CallbackModule object at 0x130b150>):
runner_on_ok() takes exactly 3 arguments (2 given)
[DEPRECATION WARNING]: Using bare variables is deprecated. Update your playbooks so that the environment value uses the full variable syntax ('{{g_all_hosts}}').
This feature will be 
removed in a future release. Deprecation warnings can be disabled by setting deprecation_warnings=False in ansible.cfg.
[DEPRECATION WARNING]: Using bare variables is deprecated. Update your playbooks so that the environment value uses the full variable syntax ('{{g_all_hosts | default([])}}').
This 
feature will be removed in a future release. Deprecation warnings can be disabled by setting deprecation_warnings=False in ansible.cfg.
 [WARNING]: Failure using method (v2_runner_on_failed) in callback plugin (</usr/lib/python2.7/site-packages/ooinstall/ansible_plugins/facts_callback.CallbackModule object at
0x130b150>): runner_on_failed() takes at least 3 arguments (3 given)
There was a problem fetching the required information. Please see /tmp/ansible.log for details.
Comment 7 Samuel Munilla 2016-06-21 10:13:15 EDT
I'm not able to get a good repro case on my end. Could you please attach your /tmp/ansible.log so that I can get a better lead?
Comment 8 Anping Li 2016-06-22 01:18 EDT
Created attachment 1170564 [details]
ansible logs

I guess there are some update on master branch. I can't get same errors messages.
Comment 9 Samuel Munilla 2016-06-22 08:45:30 EDT
That's good to hear. In that case, I'm moving this to on_qa
Comment 10 Anping Li 2016-06-22 22:12:42 EDT
Samuel, No,but there is another issue. It abort during installation. please check the attached logs
Comment 11 Devan Goodwin 2016-07-05 14:06:02 EDT
I think the error in comment #6 triggers when the host is unreachable and you're using ansible 2.1.
Comment 12 Anping Li 2016-07-05 20:29:15 EDT
(In reply to Devan Goodwin from comment #11)
> I think the error in comment #6 triggers when the host is unreachable and
> you're using ansible 2.1.

All hosts are reachable via SSH.
I was using installer from enterprise puddle, it seems that isn't the latest atomic-openshift-installer.I am concern if that is the correct atomic-openshift-installer for ansible 2.1 testing.
Comment 13 Samuel Munilla 2016-07-21 13:49:29 EDT
We've had quite a few updates around ansible-2.1 and I still haven't been able to get a good repro case. 

Anping, would you mind retesting with the latest? Thank you!
Comment 14 Anping Li 2016-07-22 04:53:12 EDT
Unfortunately, the installer failed with other issue https://bugzilla.redhat.com/show_bug.cgi?id=1359013. will retesting it once that is fixed.

Note You need to log in before you can comment on or make changes to this bug.